Page MenuHomePhabricator

Announce changes regarding inclusion of snak hashes
Closed, ResolvedPublic

Description

There are several related changes to snak hashes which should be announced:

  • API output will include hashes in all snaks, due to Ia143563ed1. This is a significant change, which was announced on 2017-09-11.
    • The goal of this is to include snak hashes in the HTML. That’s not a stable interface, but we might as well announce it along with the above change, since it will probably be deployed together.
  • Special:EntityData will remain unchanged for now (thanks to I95cd7d1f9c), but we would like it to include hashes in all snaks as well. That would be a significant change.
  • The dumps will also remain unchanged for now, but unless we go for two kinds of dumps (T174029), we probably want to remove snak hashes from them. That would be a breaking change.

(Note: I don’t expect anyone to rely on these hashes currently, so they’re significant and breaking changes in theory, but I don’t expect any breakage.)

We need to figure out when to make/deploy these changes and when to announce them.

Related tasks are T171607: Main snak and reference snaks do not include hash in JSON output and T171725: Add snak hashes to entity HTML output.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2017, 4:07 PM
Lucas_Werkmeister_WMDE lowered the priority of this task from High to Normal.Sep 18 2017, 9:25 AM
Lucas_Werkmeister_WMDE updated the task description. (Show Details)
thiemowmde closed this task as Resolved.Oct 24 2017, 3:25 PM
thiemowmde claimed this task.

I think what this task asks for – the announcement – is done. I highly appreciate the carefully crafted task description @Lucas_Werkmeister_WMDE build, but I'm afraid it talks about two later changes we might or might not do, and both are going to need separate announcements that need separate tickets.